Bug 975017 - ipactl status returns wrong status of Directory Service
ipactl status returns wrong status of Directory Service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 08:31 EDT by Michal Sekletar
Modified: 2013-07-25 20:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: freeipa-3.2.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 20:33:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Sekletar 2013-06-17 08:31:19 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Michal Sekletar 2013-06-17 08:36:18 EDT
Description of problem:
ipactl status returns wrong status of Directory Service

Version-Release number of selected component (if applicable):
freeipa-server-3.2.1-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. incorectly configure Directory Service
2. ipactl start
3. ipactl status

Actual results:
Directory Service: RUNNING

Expected results:
ipactl should inform about actual state of Directory Service, which is failed in case of wrong configuration.

Additional info:
ipactl should check state of systemd unit representing Directory Service instance for configured realm instead it checks state of dirsrv.target unit.
Comment 2 Martin Kosek 2013-06-17 09:32:51 EDT
Right. As we discussed, IPA now calls "/bin/systemctl is-active dirsrv.target" while it should rather call "/bin/systemctl is-active dirsrv@IPA-REALM". I will open an upstream ticket.
Comment 3 Martin Kosek 2013-06-17 09:34:31 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3730
Comment 4 Martin Kosek 2013-07-16 07:00:56 EDT
Fixed upstream:

master: 3b93df4e4e4035fb9bb1c3a97673ddcaa4a582a0
ipa-3-2: 219fd1abd38f496c3097e732ec495916ed37f4d6
Comment 5 Fedora Update System 2013-07-17 12:49:03 EDT
freeipa-3.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/freeipa-3.2.2-1.fc19
Comment 6 Fedora Update System 2013-07-18 01:52:05 EDT
Package freeipa-3.2.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-3.2.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13224/freeipa-3.2.2-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-07-25 20:33:32 EDT
freeipa-3.2.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.